Bug 157672 - /dev/cpu/microcode isn't created
/dev/cpu/microcode isn't created
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 12:32 EDT by Pierre Ossman
Modified: 2015-01-04 17:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 01:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2005-05-13 12:32:30 EDT
This seems to be a popular thing to get wrong ;)

From microcode_ctl:s changelog:

* Fri Jan 21 2005 Dave Jones <davej@redhat.com>
- Create/remove the /dev/cpu/microcode dev node as needed.

Which would explain why udev no longer creates the device node (I found a FC3
machine to check the old behaviour. The device node is created in start_udev).

However! Further up in microcode_ctl:s changelog there is:

* Tue Jan 25 2005 Dave Jones <davej@redhat.com>
- Drop the node creation/deletion change from previous release.
  It'll cause grief with selinux, and was a hack to get around
  a udev shortcoming that should be fixed properly.

But udev hasn't been fixed. So now we're in the situation where
microcode updates simply do not work.

I don't really care who creates this device node, just as long as someone does it :)

Versions:

udev-057-5
microcode_ctl-1.11-1.21
Comment 1 Goswin 2005-08-16 05:01:54 EDT
Indeed, I have the same behaviour with RHEL4up1.
Does anybody know when this would be solved?
Comment 2 Goswin 2005-08-16 05:02:27 EDT
Indeed, I have the same behaviour with RHEL4up1.
Does anybody know when this would be solved?
Comment 3 Dave Jones 2005-08-16 14:17:15 EDT
rawhide does the right thing right now.
(14:16:21:davej@nwo:~)$ ll /dev/cpu
total 0
drwxr-xr-x  2 root root 60 Aug  7 10:34 0/
drwxr-xr-x  2 root root 60 Aug  7 10:34 1/
drwxr-xr-x  2 root root 60 Aug  7 10:34 2/
drwxr-xr-x  2 root root 60 Aug  7 10:34 3/

(14:16:41:root@nwo:~)# modprobe microcode

(14:16:42:root@nwo:~)# ll /dev/cpu
total 0
drwxr-xr-x  2 root root      60 Aug  7 10:34 0/
drwxr-xr-x  2 root root      60 Aug  7 10:34 1/
drwxr-xr-x  2 root root      60 Aug  7 10:34 2/
drwxr-xr-x  2 root root      60 Aug  7 10:34 3/
crw-rw----  1 root root 10, 184 Aug 16 14:16 microcode

Closing this out.   The RHEL4 bug is being tracked elsewhere.
No changes need to occur in Fedora at this time.
Comment 4 Pierre Ossman 2005-08-17 04:11:49 EDT
[root@poseidon ~]# service microcode_ctl start
/etc/init.d/microcode_ctl: microcode device /dev/cpu/microcode doesn't exist?

I think you misunderstood the problem. Previously udev created the node _before_
the module was loaded. So when someone accessed the device node the module got
loaded.

Or is it required installtion procedure to hack initscripts and add a modprobe
early on? ;)
Comment 5 Dave Jones 2005-08-17 13:51:39 EDT
microcode init script was missing a fix that I added to the RHEL4 tree already
which prevented this from working. It should work in tomorrows rawhide.

Note You need to log in before you can comment on or make changes to this bug.